using System.Text.Json.Serialization;
using RestSharp;

namespace Tr.Sdk.Tels
{
    public class QueryTelRequest : TrRequest
    {
        public override string Path() => "api/ola/extensions/detail";


        public override Method HttpMethod() => Method.Get;

        /// <summary>
        /// 分机号
        /// </summary>
        [RequestProperty(Name = "extn")]
        public string? TelNo { get; set; }
    }

    public class QueryTelResponse
    {
        [JsonPropertyName("uuid")]
        public string Id { get; set; }
        public string Name { get; set; }
        [JsonPropertyName("nbr")]
        public string TelNo { get; set; }
        public string Description { get; set; }

        public string Password { get; set; }

        [JsonPropertyName("queue_id")]
        public string QueueId { get; set; }
    }
}
